import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int k = nextInt();
        int[] a = new int[n];
        for (int i = 0; i < n; i++) {
            a[i] = nextInt();
        }
        if(k == 1) {
            for (int i = 0; i < n; i++) {
                if(a[i] != 1) {
                    out.println(0);
                    out.close();
                    return;
                }
            }
            out.println(1);
            out.close();
            return;
        }
        if(k == 2) {
            int[] dp = new int[n];
            if(a[0] == 1) {
                dp[0] = 2;
            } else if(a[0] == 2){
                dp[0] = 0;
            } else {
                dp[0] = 1;
            }
            for (int i = 1; i < n; i++) {
                if(a[i] == 0) {
                    if(a[i-1] == 2 && dp[i-1] == 0) {
                        out.println(0);
                        out.close();
                        return;
                    } else {
                        dp[i] = 1;
                    }
                } else if(a[i] == 1) {
                    if(a[i-1] == 2) {
                        if(dp[i-1] == 0) {
                            dp[i] = 1;
                        } else if (dp[i-1] == 1){
                            dp[i] = 2;
                        } else {
                            dp[i] = 2;
                        }
                    } else {
                        if(dp[i-1] == 1) {
                            dp[i] = 2;
                        } else if(dp[i-1] == 0) {
                            dp[i] = 1;
                        } else {
                            dp[i] = 2;
                        }
                    }
                } else {
                    if(a[i-1] == 2) {
                        out.println(0);
                        out.close();
                        return;
                    }
                    if(dp[i-1] == 2) {
                        dp[i] = 2;
                    } else if(dp[i-1] == 0) {
                        dp[i] = 1;
                    } else {
                        dp[i] = 0;
                    }
                }
            }
            int sum = 0;
            for (int i = 0; i < n; i++) {
                sum += dp[i];
            }
            out.println(sum);
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}