import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int s = nextInt();
        int[][] a = new int[0][0];
        int m = 0;
        for (int i = 0; i < n; i++) {
            m = nextInt();
            a = new int[m][2];
            for (int j = 0; j < m; j++) {
                a[j][0] = nextInt();
                a[j][1] = j;
            }
        }
        if(n == 1) {
            Arrays.sort(a, Comparator.comparingInt(arr -> arr[0]));
            int l = 0;
            int r = 0;
            long sum = a[0][0];
            while(r < m) {
                if(sum == s) {
                    out.println("Yes");
                    out.println(r-l);
                    for (int i = l; i <= r; i++) {
                        out.print(a[i][1] + " ");
                    }
                    out.close();
                    return;
                }
                if(sum < s) {
                    r++;
                    if(r < m) {
                        sum += a[r][0];
                    }
                } else {
                    sum -= a[l][0];
                    l++;
                }
                if(sum == s) {
                    out.println("Yes");
                    out.println(r-l + 1);
                    for (int i = l; i <= r; i++) {
                        out.print((a[i][1]+1) + " ");
                    }
                    out.close();
                    return;
                }
            }
            out.println("No");
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}