import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        long d = nextLong();
        long l = nextLong();
        long r = nextLong();
        long ans = 0;
        for (int i = 1; i < Math.sqrt(d); i++) {
            if (d % i == 0) {
                if ((i + (d / i)) % 2 == 0) {
                    long x = (i + (d / i)) / 2;
                    long y = d / i - x;
                    if (x * x >= l && x * x <= r && y * y >= l && y * y <= r && x * x > y * y) {
                        ans++;
                    }
                }
            }
        }
        out.println(ans);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}