import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int k = nextInt();
        int[] a = new int[n];
        int c = n-k+1;
        long sum = 0;
        long max = 0;
        long min = Long.MAX_VALUE;
        int i0 = 0;
        int i1 = n;
        for (int i = 0; i < n; i++) {
            a[i] = nextInt();
            if(i >= c) {
                sum -= a[i-c];
            }
            sum += a[i];
            if(sum > max) {
                max = sum;
                i0 = i-c+1;
                i1 = i+1;
            }
        }
        for (int i = 0; i < i0; i++) {
            min = Math.min(min, a[i]);
        }
        for (int i = i1; i < n; i++) {
            min = Math.min(min, a[i]);
        }
        out.println(max - min);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}