import java.io.*;
import java.util.*;

public class Main {

    public static void rec(int[]x, int i) {
        if(i >= a[0].size()) return;
        long sum = 0;
        long sum_ans = 0;
        for (int j = 0; j < x.length; j++) {
            sum += (long) a[0].get(j) * x[j];
            sum_ans += x[j];
        }
        if(sum == s) {
            out.println(sum_ans);
            for (int j = 0; j < x.length; j++) {
                if(x[j] == 1) {
                    out.print((j+1) + " ");
                }
            }
            out.close();
            System.exit(0);
        }
        x[i] = 1;
        rec(x, i+1);
        x[i] = 0;
        rec(x, i+1);
    }

    public static int n, s, ans;
    public static ArrayList<Integer>[] a;

    public static void main(String[] args) throws IOException {
        n = nextInt();
        s = nextInt();
        a = new ArrayList[n];
        for (int i = 0; i < n; i++) {
            int m = nextInt();
            a[i] = new ArrayList<>();
            for (int j = 0; j < m; j++) {
                a[i].add(nextInt());
            }
        }
        if(n == 1) {
            int[] x = new int[a[0].size()];
            rec(x, 0);
            out.println(ans);
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}